|  | Home | Documentation | _rawdata Struct Reference updated by Robert van Engelen |

Public Member Functions | Public Attributes | List of all members
_rawdata Struct Reference

Represents the <rawdata> binary data element. More...

`#include <xml-rpc.h>`

## Public Member Functions

| _rawdata ()
| _rawdata (struct soap *)
| _rawdata (struct soap *, int, char *)
| _rawdata (struct soap *, char *)
int | size () const
| byte size of data
char * | ptr ()
| pointer to data
void | size (int)
| set byte size of data
void | ptr (char *)
| set pointer to data

## Public Attributes

unsigned char * | __ptr
| pointer to raw binary data block
int | __size
| size of raw binary data block

## Detailed Description

Represents the <rawdata> binary data element.

## Constructor & Destructor Documentation

## ◆ _rawdata() [1/4]

_rawdata::_rawdata | ( |  | ) |

## ◆ _rawdata() [2/4]

_rawdata::_rawdata | ( | struct soap * |  | ) |

## ◆ _rawdata() [3/4]

_rawdata::_rawdata | ( | struct soap * | ,
|  | int | ,
|  | char * | )

## ◆ _rawdata() [4/4]

_rawdata::_rawdata | ( | struct soap * | ,
|  | char * | )

## Member Function Documentation

## ◆ ptr() [1/2]

char * _rawdata::ptr | ( |  | ) |

pointer to data

## ◆ ptr() [2/2]

void _rawdata::ptr | ( | char * |  | ) |

set pointer to data

## ◆ size() [1/2]

int _rawdata::size | ( |  | ) | const

byte size of data

## ◆ size() [2/2]

void _rawdata::size | ( | int |  | ) |

set byte size of data

## Member Data Documentation

## ◆ __ptr

unsigned char* _rawdata::__ptr

pointer to raw binary data block

## ◆ __size

int _rawdata::__size

size of raw binary data block

The documentation for this struct was generated from the following file:

- xml-rpc.h